# Irc::Util Class Reference

The Irc::Util class provides IRC related utility functions.

`#include <ircutil.h>`

List of all members.

## Static Public Member Functions
static QString | nickFromTarget (const QString &target)
static QString | hostFromTarget (const QString &target)
static QString | messageToHtml (const QString &message)
static QString | colorNameFromCode (int code)

## Member Function Documentation

QString Irc::Util::colorNameFromCode | ( | int | code | ) | `[static]`

Converts code to a color name.

QString Irc::Util::hostFromTarget | ( | const QString & | target | ) | `[static]`

Parses and returns the host part from target.

QString Irc::Util::messageToHtml | ( | const QString & | message | ) | `[static]`

Converts message to HTML. This function parses the message and replaces IRC-style formatting like colors, bold and underline to the corresponding HTML formatting. Furthermore, this function detects URLs and replaces them with appropriate HTML hyperlinks.

QString Irc::Util::nickFromTarget | ( | const QString & | target | ) | `[static]`

Parses and returns the nick part from target.

The documentation for this class was generated from the following files:

- include/ircutil.h
- src/ircutil.cpp